<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>pendu</title>
	<script src="liste_francais.txt"></script>
</head>
<body>

	<h1>Le pendu</h1>
	
	<label>Nombre d'erreur : <span id="error">0</span></label>
	<br>
	<label>Soluce : <span id="soluce">.</span></label>
	<br>
	<form>
		<label><b>Enter a Message</b></label>
		<input type="text" name="message" id="user_input">
	</form>

	<input type="submit" onclick="showInput();"><br/>
	<label>Vos precedant mot: </label>
	<p><span id='display'></span></p>

	<script language="JavaScript">
		var banane = []
		var stringe = ""
		const arraytext = text.split("\n");
		var thechosenone = arraytext[Math.floor(Math.random() * arraytext.length)];
		console.log(thechosenone)

		var motcacher = ""
		for (let i = 0; i < thechosenone.length; i++) {
			motcacher = motcacher + " _"
		}
		document.getElementById('soluce').innerHTML = motcacher

		function check(){
			motcacher = ""
			for (let i = 0; i < thechosenone.length; i++) {
				if (thechosenone.charAt(i)==document.getElementById("user_input").value.charAt(i)) {
					motcacher = motcacher + " " + thechosenone.charAt(i)
				} else {
					motcacher = motcacher + " _"
				}
			}
			document.getElementById('soluce').innerHTML = motcacher

			if (thechosenone==document.getElementById("user_input").value) {
				window.alert("gagné");
			} else {
				document.getElementById('error').innerHTML = parseInt(document.getElementById('error').innerHTML) + 1
			}
		}

		function showInput() {
			banane.unshift(document.getElementById("user_input").value);
			document.getElementById('display').innerHTML = banane
			check()
		}
	</script>
</body>
</html>